## battery-stats 0.5.5

=== debian/changelog ===
battery-stats (0.5.5-1~bpo8+1) jessie-backports; urgency=medium

  * Backport Debian Unstable version to Debian Stable.
  * Updated debian/gbp.conf to mention correct branch for jessie backport.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jul 2016 10:16:04 +0200

battery-stats (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5.
    - Avoid error from battery-graph when there is no data yet
      (Closes: #825158).
    - Make collector more robust and avoid blocking hibernation
      when there is no battery available (Closes: #825694).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Jun 2016 14:17:05 +0200

battery-stats (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4.
    - Dropped fix-desktop-entry.patch, a fix for the same issue is fixed
      upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 May 2016 17:41:45 +0200

battery-stats (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3.
    - Now handle hardware with ACAD power source (Closes: #822238).
    - No longer install non-working battery-stats-graph-gnuplot
      (Closes: #819683).
  * Updated Standards-Version from 3.9.7 to 3.9.8.
  * Remove Antonio Radici as uploader.  Thank you for maintaining the
    package for so long.
  * Added new fix-desktop-entry.patch to fix graph drawing when selected
    from desktop menu.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 May 2016 11:19:27 +0200

battery-stats (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2.
    - battery-stats-collector now work with batteries with change_*
      instead of energy_* values (Closes: #819492)
  * Added missing python-matplotlib and libtext-csv-perl
    dependencies (Closes: #819265).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Mar 2016 20:52:10 +0200

battery-stats (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1.
    - Dropped 01-typo-desktop.patch and 02-reduce-collection-freq.patch
      applied upstream.
    - Now collects data on power status changes (Closes: #819015)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Mar 2016 09:17:52 +0100

battery-stats (0.5.0-2) unstable; urgency=medium

  * Added cron job to call collect-csv every 10 minutes, as the pm
    power.d hook to call collect-csv when AC power is inserted and
    removed is not working (see bug #818649).
  * Reduce the collection frequence for battery-stats-collector to every
    10 minutes.
  * Change binary architecture list to linux-any from now obsolete sparc,
    ia64, amd64 and i386.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Mar 2016 14:12:10 +0100

battery-stats (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
    - Will log to a new CSV file as well as the original file.
    - Provide new python based graphing tool.
  * Corrected watch file to use new upstream at github.
  * Swiched postrm to use 'set -e' instead of -e in #! line to make
    lintian happy.
  * Switched to more secure vcs links.
  * Implemented optional 'status' option for init.d script.
  * Switched from cdbs to dh.
  * Added 01-typo-desktop.patch to fix typo in new desktop file.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Mar 2016 08:46:29 +0000

battery-stats (0.4.0-2) unstable; urgency=medium

  * Added missing cmake build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Mar 2016 21:46:38 +0100

battery-stats (0.4.0-1) unstable; urgency=medium

  * New upstream release 0.4.0.
    - Collector is reimplemented as a shell script (Closes: #720338).
    - Collector is now able to follow charge level (Closes: #699241).
  * Drop desktop file now included upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Mar 2016 15:43:53 +0100

battery-stats (0.3.6-2) unstable; urgency=medium

  * Become a co-maintainer.
  * Reorder and reformat dependencies.
  * Switch debhelper from version 7 to 9.
  * Acknowledge NMU (Closes: #817888).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 22:35:16 +0000

battery-stats (0.3.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Dropped 01-skip-non-battery.patch and build-depend on
    libacpi-dev (>= 0.2-4.1) as the workaround is no longer needed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 12:16:58 +0100

battery-stats (0.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace homepage URL in control file with a working one. (Closes: #738807)
  * Fix typo in package description (patters->patterns). (Closes: #648294)
  * Add gbp.conf file to enforce use of pristine-tar.
  * Updated Standards-Version from 3.8.3 to 3.9.7.
  * Removed menu file, only need desktop file.
  * Added code to source /lib/lsb/init-functions in init.d script to
    work well with systemd.
  * Drop obsolete DM-Upload-Allowed field from control file.
  * Added Vcs-* links to control file.
  * Changed build dependencies to allow building with gnuplot-qt.
  * Switch to source format 3.0 (quilt).
  * Added 01-skip-non-battery.patch to skip AC "battery". (Closes: 574678)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 08:49:58 +0000

battery-stats (0.3.6-1) unstable; urgency=low

  * New upstream release that integrates a patch to specify the battery 
    number (Closes: 535815)
  * debian/control:
    + Standars-Version bumped to 3.8.3
    + Architecture modified so it builds only where libacpi is present
  * debian/battery-stats.desktop: added a Comment (Closes: 537946)

 -- Antonio Radici <antonio@dyne.org>  Sat, 19 Sep 2009 22:28:40 +0100

battery-stats (0.3.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    + Standards-Version bumped to 3.8.1
    + added DM-Upload-Allowed: yes
    + added the new upstream homepage
  * debian/rules: added $(CURDIR) to all occurrences
  * debian/watch: updated with the new path for downloads

 -- Antonio Radici <antonio@dyne.org>  Sat, 13 Jun 2009 20:58:26 +0100


