=== debian/changelog ===
battery-stats (0.5.6-1) unstable; urgency=medium

  * New upstream version 0.5.6.
    - Adjusted udev rules to really trigger on power changes.
    - Adjusted battery-graph.in to avoid syntax error when no discharging
      is logged yet (Closes: #843049).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Nov 2016 11:51:44 +0100
