=== debian/control ===
Source: battery-stats
Section: admin
Priority: extra
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 python | python-all | python-dev | python-all-dev,
 dh-python,
 gnuplot-nox (>= 4) | gnuplot-qt,
 python-matplotlib,
 libtext-csv-perl,
 imagemagick
Standards-Version: 3.9.8
Homepage: https://github.com/petterreinholdtsen/battery-stats/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/battery-stats.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/battery-stats.git
X-Python-Version: >= 2.5

Package: battery-stats
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
 logrotate,
 gzip (>= 1.3.2)
Recommends: ${python:Depends},
 python,
 python-matplotlib,
 libtext-csv-perl,
 gnuplot (>= 4.0.0)
Description: collects statistics about charge of laptop batteries
 This package provides battery-stats-collector, a daemon which will periodically 
 collect statistics about the charge of the batteries present.
 .
 It also proves a binary called battery-graph, which can be used to generate
 qplot graphs about the battery charge/discharge patterns over time
 .
 Note: This requires APM or ACPI to be enabled and working in your kernel.
