=== debian/watch ===
# See uscan(1) for format
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/battery-stats-$1\.tar\.gz/ \
  https://github.com/petterreinholdtsen/battery-stats/tags .*/?(\d{1}\.\d.\d)\.tar\.gz
